export var UpdateStatus;
(function (UpdateStatus) {
    UpdateStatus[UpdateStatus["DownloadingFailure"] = -5] = "DownloadingFailure";
    UpdateStatus[UpdateStatus["InstallationStopped"] = -4] = "InstallationStopped";
    UpdateStatus[UpdateStatus["InstallationError"] = -3] = "InstallationError";
    UpdateStatus[UpdateStatus["IncompatiblePackage"] = -2] = "IncompatiblePackage";
    UpdateStatus[UpdateStatus["Error"] = -1] = "Error";
    UpdateStatus[UpdateStatus["OK"] = 0] = "OK";
    UpdateStatus[UpdateStatus["DownloadingPackage"] = 1] = "DownloadingPackage";
    UpdateStatus[UpdateStatus["CheckingPackage"] = 2] = "CheckingPackage";
    UpdateStatus[UpdateStatus["PreparingForUpgrade"] = 3] = "PreparingForUpgrade";
    UpdateStatus[UpdateStatus["Upgrading"] = 4] = "Upgrading";
    UpdateStatus[UpdateStatus["MovingData"] = 5] = "MovingData";
    UpdateStatus[UpdateStatus["Reloading"] = 6] = "Reloading";
    UpdateStatus[UpdateStatus["Upgraded"] = 7] = "Upgraded";
})(UpdateStatus || (UpdateStatus = {}));
export class UpdateProgressInfo {
    constructor() {
        this.Percentage = 0;
        this.Status = UpdateStatus.Error;
        this.UpdateInfo = 0;
    }
}
export var UpdateErrorCode;
(function (UpdateErrorCode) {
    UpdateErrorCode[UpdateErrorCode["DeviceIsUpToDate"] = 0] = "DeviceIsUpToDate";
    UpdateErrorCode[UpdateErrorCode["CannotFindDevice"] = 1] = "CannotFindDevice";
    UpdateErrorCode[UpdateErrorCode["UnsupportedApiVersion"] = 2] = "UnsupportedApiVersion";
    UpdateErrorCode[UpdateErrorCode["UnsupportedDevice"] = 3] = "UnsupportedDevice";
    UpdateErrorCode[UpdateErrorCode["CannotGetFirmwareVersion"] = 4] = "CannotGetFirmwareVersion";
    UpdateErrorCode[UpdateErrorCode["CannotGetUpdates"] = 5] = "CannotGetUpdates";
    UpdateErrorCode[UpdateErrorCode["CannotProcessUpdate"] = 6] = "CannotProcessUpdate";
    UpdateErrorCode[UpdateErrorCode["UpdateActionsNotSupported"] = 7] = "UpdateActionsNotSupported";
})(UpdateErrorCode || (UpdateErrorCode = {}));
//# sourceMappingURL=IUpdatesService.js.map